Uploaded image for project: 'Qbs ("Cubes")'
  1. Qbs ("Cubes")
  2. QBS-1266

Please consider moving Python code to Python 3

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Not Evaluated
    • Resolution: Invalid
    • Affects Version/s: 1.10.0
    • Fix Version/s: None
    • Labels:
      None

      Description

      Hi, I am working on packaging Qbs for Debian, and noticed that Qbs 1.9 introduced some bundled Python code which is using Python 2.7.

      This version of Python will be no longer maintained soon. In Debian we have a policy that “programs should use Python 3, and should not be packaged for Python 2 as well”.

      dmgbuild seems to support Python 3 (their Travis tests against PYTHON_VERSION=3.6.2). So please switch to Python 3 too.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            kandeler Christian Kandeler
            Reporter:
            mandriver Dmitry Shachnev
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes